/* perfect-scrollbar v0.6.5 */
/* This CSS is customized for Angular Grid Perfect Scrollbar
   We replaced all the default .ps-container with .ag-body class */
.ps-container{-ms-touch-action: none;overflow: hidden !important;}
.ag-body.ps-active-x > .ps-scrollbar-x-rail, .ag-body.ps-active-y > .ps-scrollbar-y-rail, .slides.ps-active-x > .ps-scrollbar-x-rail, .slides.ps-active-y > .ps-scrollbar-y-rail {display: block;}
.ag-body.ps-in-scrolling ,.slides .ps-in-scrolling {pointer-events: none;}
.ag-body.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail, .slides.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail {background-color: #d3d3d3;opacity: 0.9;}
.ag-body.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail > .ps-scrollbar-x, .slides.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail > .ps-scrollbar-x {background-color: gray;}
.ag-body.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail, .slides .ps-in-scrolling.ps-y > .ps-scrollbar-y-rail {background-color: #d3d3d3;opacity: 0.9;}
.ag-body.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail > .ps-scrollbar-y, .slides.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail > .ps-scrollbar-y {background-color: gray;}
.ag-body > .ps-scrollbar-x-rail, .slides > .ps-scrollbar-x-rail {
    display: none;
    position: absolute;
	background-color: #d3d3d3;
    /* please don't change 'position' */
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    opacity: 0.9;
    -webkit-transition: background-color .2s linear, opacity .2s linear;
    -moz-transition: background-color .2s linear, opacity .2s linear;
    -o-transition: background-color .2s linear, opacity .2s linear;
    transition: background-color .2s linear, opacity .2s linear;
    bottom: 3px;
    /* there must be 'bottom' for ps-scrollbar-x-rail */
    height: 8px; }
.ag-body > .ps-scrollbar-x-rail > .ps-scrollbar-x, .slides > .ps-scrollbar-x-rail > .ps-scrollbar-x {
      position: absolute;
      /* please don't change 'position' */
      background-color: gray;
      -webkit-border-radius: 4px;
      -moz-border-radius: 4px;
      -ms-border-radius: 4px;
      border-radius: 4px;
      -webkit-transition: background-color .2s linear;
      -moz-transition: background-color .2s linear;
      -o-transition: background-color .2s linear;
      transition: background-color .2s linear;
      bottom: 0;
      /* there must be 'bottom' for ps-scrollbar-x */
      height: 8px; }
.ag-body > .ps-scrollbar-y-rail, .slides > .ps-scrollbar-y-rail {
    display: none;
    position: absolute;
	background-color: #d3d3d3;
    /* please don't change 'position' */
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    opacity: 0.9;
    -webkit-transition: background-color .2s linear, opacity .2s linear;
    -moz-transition: background-color .2s linear, opacity .2s linear;
    -o-transition: background-color .2s linear, opacity .2s linear;
    transition: background-color .2s linear, opacity .2s linear;
    right: 3px;
    /* there must be 'right' for ps-scrollbar-y-rail */
    width: 7px; }
.ag-body > .ps-scrollbar-y-rail > .ps-scrollbar-y, .slides > .ps-scrollbar-y-rail > .ps-scrollbar-y {
      position: absolute;
      /* please don't change 'position' */
      background-color: gray;
      -webkit-border-radius: 4px;
      -moz-border-radius: 4px;
      -ms-border-radius: 4px;
      border-radius: 4px;
      -webkit-transition: background-color .2s linear;
      -moz-transition: background-color .2s linear;
      -o-transition: background-color .2s linear;
      transition: background-color .2s linear;
      right: 0;
      /* there must be 'right' for ps-scrollbar-y */
      width: 7px; }
.ag-body:hover.ps-in-scrolling, .slides:hover.ps-in-scrolling {pointer-events: none; }
.ag-body:hover.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail,.slides:hover.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail{ background-color: #d3d3d3;opacity: 0.9;}
.ag-body:hover.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail > .ps-scrollbar-x,.slides:hover.ps-in-scrolling.ps-x > .ps-scrollbar-x-rail > .ps-scrollbar-x {background-color: gray;}
.ag-body:hover.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail,.slides:hover.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail {background-color: #d3d3d3;opacity: 0.9; }
.ag-body:hover.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail > .ps-scrollbar-y,.slides:hover.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail > .ps-scrollbar-y {background-color: gray;}
.ag-body:hover > .ps-scrollbar-x-rail, .ag-body:hover > .ps-scrollbar-y-rail,.slides:hover > .ps-scrollbar-x-rail, .ag-body:hover > .ps-scrollbar-y-rail {opacity: 0.9; }
.ag-body:hover > .ps-scrollbar-x-rail:hover,.slides:hover > .ps-scrollbar-x-rail:hover {background-color: #d3d3d3;opacity: 0.9;}
.ag-body:hover > .ps-scrollbar-x-rail:hover > .ps-scrollbar-x,.slides:hover > .ps-scrollbar-x-rail:hover > .ps-scrollbar-x {
      background-color: gray; }
.ag-body:hover > .ps-scrollbar-y-rail:hover,.slides:hover > .ps-scrollbar-y-rail:hover {background-color: #d3d3d3;opacity: 0.9;}
.ag-body:hover > .ps-scrollbar-y-rail:hover > .ps-scrollbar-y,.slides:hover > .ps-scrollbar-y-rail:hover > .ps-scrollbar-y {
      background-color: gray; }
